%define name		xsdlib
%define version		2.2
%define cvs_version	20050421
%define release		0.%{cvs_version}.1jpp
%define section		non-free
%define source_top	%{name}-%{cvs_version}

Summary:	Sun XML Datatypes Library
URL:		http://wwws.sun.com/software/xml/developers/xsdlib/
# See also https://msv.dev.java.net/
Source0:	%{name}.%{cvs_version}.zip
Source1:	%{name}-build.xml
NoSource:	0

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
License:	Sun Binary Code License
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
BuildArch:	noarch
Requires:	jpackage-utils >= 0:1.5
Requires:	relaxngDatatype
BuildRequires:	jpackage-utils >= 0:1.5
BuildRequires:	relaxngDatatype
Obsoletes:	msv
Provides:	msv
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Sun XML Datatypes Library, Sun's Java[tm] technology implementation of
W3C's XML Schema Part 2 (http://www.w3.org/TR/xmlschema-2/), is
intended for use with applications that incorporate XML Schema Part 2.
This preview version implements the recommendation version
(http://www.w3.org/TR/2001/REC-xmlschema-2-20010502/) of the W3C XML
Schema Part 2 Datatype.


%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{name}-%{cvs_version}
cp %{SOURCE1} build.xml
chmod -R go=u-w *
find . -name "*.jar" -exec rm -f {} \;

%build
export CLASSPATH=$(build-classpath \
relaxngDatatype \
)
ant

%install
rm -rf $RPM_BUILD_ROOT

# jar
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}
install -p -m 0644 dist/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

# demo
install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/examples
cp -pr examples/*   $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/examples

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -sf %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(-,root,root,-)
%doc {*.txt,*.html}
%{_javadir}/*
%{_datadir}/%{name}-%{version}

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Fri Apr 22 2005 David Walluck <david@jpackage.org> 0:0:2.2-0.cvs20050421.1jpp
- 20050421

* Fri Apr 22 2005 David Walluck <david@jpackage.org> 0:0:2.2-0.cvs20030225.3jpp
- moving to non-free

* Thu Aug 26 2004 Ralph Apel <r.apel at r-apel.de> 0:2.2-0.cvs20030225-2jpp
- Build with ant-1.6.2

* Tue Jul 06 2004 Ralph Apel <r.apel at r-apel.de> 0:2.2-0.cvs20030225-1jpp
- First JPackage build from sources
